/******************************************************************************
 UpdateSignKbd.c

		Update File hook procedure for the SignWriter key editor
		
		Copyright  1996 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/
 
 #include "UpdateSignKbd.h"


/***
 * UpdateHook
 *
 *	Use the dialog hook to change the standard
 *  file dialog's 'Open' button to 'Update'
 *  for the Update Sign Keyboard command. 
 *
 ***/
 
pascal short UpdateHook (short item, DialogPtr dlog)

{
	static  Boolean update = TRUE;
	short	iType;
	Handle	iHandle;
	Rect	iRect;
	
	
	if (update) {
	
		GetDItem(dlog, 1, &iType, &iHandle, &iRect);
		SetIText(iHandle, "\pUpdate");

		update = FALSE;		
	}
	
	return item;
}

