
/******************************************************************************
 CSymWndTask.h

  Interfaces for the SymWndTask Classes
		
  Copyright 1995 The Center for Sutton Movement Writing. All rights reserved.
		
 ******************************************************************************/
 
 
#pragma once


#include "CTask.h"						/* Interface for its superclass		*/
#include "CSymWndGrid.h"



struct CSymWndClear : CTask {	

	CSymWndGrid *itsGridPane;	
	
	short		itsSelect;
	
	void		ISymWndClear (short nameIndex, CSymWndGrid *pane, short select);
	
	void		Do   (void);
	void		Undo (void);
	void		Redo (void);
};



struct CSymWndPaste : CTask {	
	
	CSymWndGrid *itsGridPane;	
	
	short		itsSelect;
	
	void		ISymWndPaste (CSymWndGrid *pane, short select);

	void		Promote (short clipItem, short *select);
		
	void		Do   (void);
	void		Undo (void);
	void		Redo (void);
};


