/******************************************************************************
 CCaption.h

		Interface for the Caption Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CCaption

#include "CEditText.h"					/* Interface for its superclass		*/

struct CCaption : CEditText {			/* Class Declaration				*/
								/** Instance Variables **/
	Boolean		firstCall;				/* Flag to catch infinite loop		*/

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		ICaption(CView *anEnclosure,
	CBureaucrat		*aSupervisor,
	short			aWidth,
	short			aHEncl,
	short			aVEncl);
	
	void		FitToText(void);
	void		DoKeyDown(char theChar, Byte keyCode, EventRecord *macEvent);
	void		DrawInPort(GrafPtr inPort);
	
	void		SetFontStyle(short aStyle);
	void		AdjustBounds(void);
};