/******************************************************************************
 CDragger.h

		Interface for the Dragger Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CDragger

#include "CPaintTask.h"					/* Interface for its superclass		*/

struct CDragger : CPaintTask {			/* Class Declaration				*/
								/** Instance Variables **/
	Boolean		newDrag;
	Boolean		done;
	Boolean		cloned;
	Boolean		undone;
	LongRect	undoSel;
	LongRect	redoSel;

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IDragger(CPaintPane *aPaintPane, CBitMap *aPainting);

	void		BeginTracking( LongPt *startPt);
	void		KeepTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	void		EndTracking(LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	
	void		Do(void);
	void		Undo(void);
	void		Redo(void);
};