/******************************************************************************
 CPaintPane.h

		Interface for the PaintPane Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CPaintPane

#include <CBitMapPane.h>				/* Interface for its superclass		*/

struct CPaintPane : CBitMapPane {		/* Class Declaration				*/
								/** Instance Variables **/
	LongRect		selRect;

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IPaintPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							LongRect *aBounds, CBitMap *aBitMap);
	
	void		DoCommand(long theCommand);
	void		UpdateMenus(void);

	void		DoClick(Point hitPt, short modifierKeys, long when);
	void		AdjustCursor(Point where, RgnHandle mouseRgn);
	void		DoKeyDown(char theChar, Byte keyCode, EventRecord *macEvent);
	void		Dawdle(long *maxSleep);
	void		ChangeSize(Rect *delta, Boolean redraw);
	void		KillSelRect(void);
	void		Deactivate(void);
	
	void		DoCopy(void);
	void		DoPaste(void);
	void		DoClear(short taskIndex);
};