/******************************************************************************
 CPatternsDir.h

		Interface for the PatternsDir Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CPatternsDir

#include <CTearOffMenu.h>				/* Interface for its superclass		*/
#include <CPatternGrid.h>

struct CPatternsDir : CTearOffMenu {	/* Class Declaration				*/
								/** Instance Variables **/
	CPatternGrid	*itsPatternGrid;

								/** Instance Methods **/
									/** Contruction/Destruction **/
                                    
    
    void        IPatternsDir(CApplication *aSupervisor);
	void		DoCommand(long theCommand);
	void		SelectPattern(short thePat);
	void		GetPattern(Pattern *thePattern);
};