/******************************************************************************
 CRowColSizer.h

		
	SUPERCLASS = CMouseTask
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define _H_CRowColSizer

#include "CMouseTask.h"
#include "CTable.h"
#include "CTableLabels.h"

class CRowColSizer : public CMouseTask
{
public:

	CTable 		*itsTable;
	CTableLabels *itsLabel;
	LongRect	limitRect;
	VHSelect	whichDimension;
	short		rowOrCol;
	short		prevSize;
	
	void IRowColSizer( CTable *aTable, CTableLabels *aLabel, short  aRowOrCol, VHSelect aDimension, LongRect *aLimitRect, short aTaskIndex);

	virtual void Dispose( void);
	
	virtual void BeginTracking( LongPt *startPt);
	virtual void KeepTracking( LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	virtual void EndTracking( LongPt *currPt, LongPt *prevPt, LongPt *startPt);
	
	virtual void DrawFeedback( LongPt *currPt);
	
	virtual void Undo( void);
};