/******************************************************************************
 CTextDoc.h

		
	SUPERCLASS = CDocument
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	

 ******************************************************************************/

#define	_H_CTextDoc			/* Include this file only once */

#include "CDocument.h"

class CApplication;
class CResFile;

class CTextDoc : public CDocument 
{
public:
	Boolean			isStyledText;
	CResFile 		*itsResFork;
                                        
    void        ITextDoc( CApplication *aSupervisor, Boolean printable, 
    						Boolean wantsStyles);
    						
    virtual void		Dispose( void);

	virtual void		NewFile(void);
	virtual void		OpenFile(SFReply *macSFReply);
	virtual void		BuildWindow( void);
	
	virtual void		ReadData( Handle *theText, StScrpHandle *theStyles);
	virtual void		InstallData( Handle theText, StScrpHandle theStyles);
	
									/** Filing **/
	virtual Boolean		DoSave(void);
	virtual Boolean		DoSaveAs(SFReply *macSFReply);
	virtual void		DoRevert( void);
};