
/*
 *  assert.h
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#undef assert

#ifdef NDEBUG

	#define assert(x)	((void) 0)

#else

	int __assert(char *, char *, int);
	#define assert(x)	((void) ((x) || __assert(#x, __FILE__, __LINE__)))

#endif
