
/*
 *  limits.h
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#pragma once

#define CHAR_BIT		8
#define MB_LEN_MAX		1

#define SCHAR_MIN		(~127)
#define SCHAR_MAX		127
#define UCHAR_MAX		255
#define CHAR_MIN		(~127)
#define CHAR_MAX		127

#define SHRT_MIN		(~32767)
#define SHRT_MAX		32767
#define USHRT_MAX		0xFFFF

#if __option(int_4)
#define INT_MIN			(~2147483647)
#define INT_MAX			2147483647
#define UINT_MAX		0xFFFFFFFF
#else
#define INT_MIN			(~32767)
#define INT_MAX			32767
#define UINT_MAX		0xFFFF
#endif

#define LONG_MIN		(~2147483647L)
#define LONG_MAX		2147483647L
#define ULONG_MAX		0xFFFFFFFFL
