/******************************************************************************
 CStaticText.h

		Interface for the StaticText Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
	TCL 1.1 CHANGES
	[
		CStaticText is now a subclass of CEditText. Since CEditText
		has options for specifying if it is editable and selectable,
		CStaticText requires no code other than an initialization
		method. 
	]
		
 ******************************************************************************/
 
#define _H_CStaticText

#include "CEditText.h"					/* Interface for its superclass		*/

class CStaticText : public CEditText {		/* Class Declaration				*/

public:
								/** Instance Variables **/
										
								/** Instance Methods **/
									/** Contstruction/Destruction **/
	void		IStaticText(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							short aLineWidth);
};

