/******************************************************************************
 CSizeBox.h

		Interface for the SizeBox Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
	TCL 1.1 CHANGES
	[
		- added useSICN instance variable. Determines whether a SICN resource
		  or the DrawGrowIcon trap is used to draw the size box.
	]
		
 ******************************************************************************/
 
#define _H_CSizeBox

#include "CPane.h"						/* Interface for its superclass		*/

class CSizeBox : public CPane {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	Boolean 		useSICN;
										
								/** Instance Methods **/
	void		ISizeBox(CView *itsEnclosure, CBureaucrat *itsSupervisor);
	
	virtual void		Draw(Rect *area);
	virtual void		Activate(void);
	virtual void		Deactivate(void);
	
};