/******************************************************************************
 Commands.h

		Built-in commands and Menu numbers
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_Commands

	/**** M E N U S ****/

#define		MENUapple		1			/* Apple menu with DA's, etc.		*/
#define		MENUfile		2			/* File menu with New, Open, etc.	*/
#define		MENUedit		3			/* Edit menu with Cut, Copy, etc.	*/
#define		MENUfont		10			/* Menu of installed fonts			*/
#define		MENUsize		11			/* Menu of font sizes				*/
#define		MENUstyle		12			/* Menu of font styles				*/

	/**** C O M M A N D S ****/

#define	cmdNull				0L			/* Command which does nothing		*/

#define cmdOK				100L		/* OK button in dialog box			*/
#define cmdCancel			101L		/* Cancel button in dialog box		*/

#define	cmdAbout			256L		/* About Application request		*/

									/** Standard File Menu commands **/
#define	cmdQuit				1L
#define	cmdNew				2L
#define	cmdOpen				3L
#define	cmdClose			4L
#define	cmdSave				5L
#define	cmdSaveAs			6L
#define	cmdRevert			7L
#define	cmdPageSetup		8L
#define	cmdPrint			9L

									/** Standard Edit Menu commands **/
#define	cmdUndo				16L
#define	cmdCut				18L
#define	cmdCopy				19L
#define	cmdPaste			20L
#define	cmdClear			21L
#define	cmdToggleClip		22L			/* Show or Hide the Clipbord window		*/
#define cmdSelectAll		23L

									/** Text Styles **/
#define	cmdPlain			30L
#define	cmdBold				31L
#define	cmdItalic			32L
#define	cmdUnderline		33L
#define	cmdOutline			34L
#define	cmdShadow			35L
#define	cmdCondense			36L
#define	cmdExtend			37L

									/** Text Alignment **/
#define	cmdAlignRight		40L
#define	cmdAlignLeft		41L
#define	cmdAlignCenter		42L
#define cmdJustify			43L

									/** Line Spacing **/
#define cmdSingleSpace		50L
#define cmd1HalfSpace		51L
#define cmdDoubleSpace		52L