/******************************************************************************
 CFWDesktop.h

		Interface for the FWDesktop Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CFWDesktop

#include "CDesktop.h"					/* Interface for its superclass		*/

class CFWDesktop : public CDesktop {			/* Class Declaration				*/

public:
								/** Instance Variables **/
	CList		*itsFloats;				/* Floating application windows		*/
	CWindow		*topFloat;				/* Topmost visible floating window	*/
	
								/** Instance Methods **/
	void		IFWDesktop(CBureaucrat *aSupervisor);
	virtual void		Dispose(void);

	virtual void		AdjustCursor(Point where, RgnHandle mouseRgn);
	virtual void		AddWind(CWindow *theWindow);
	virtual void		RemoveWind(CWindow *theWindow);
	virtual void		SelectWind(CWindow *theWindow);
	virtual void		ShowWind(CWindow *theWindow);
	virtual void		HideWind(CWindow *theWindow);
	virtual void		DragWind(CWindow *theWindow, EventRecord *macEvent);
	virtual void		Show(void);
	virtual void		Hide(void);
	virtual void		Activate(void);
	virtual void		Deactivate(void);
    virtual void        CalcTopFloat(void);
};
