/******************************************************************************
 CPatternGrid.h

		Interface for the PatternGrid Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CPatternGrid

#include "CGridSelector.h"				/* Interface for its superclass		*/

class CPatternGrid : public CGridSelector {	/* Class Declaration			*/

public:
								/** Instance Variables **/
	short		patListID;
	short		numPats;
	short		**thePatterns;

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IPatternGrid(short PtGdid, CView *anEnclosure,
								CBureaucrat *aSupervisor);
	virtual void		Dispose(void);
	
	virtual void		DrawItem(short theItem, Rect *theBox);
	virtual void		HiliteItem(short theItem, HiliteState state);
	
	virtual void		GetPattern(Pattern *thePattern);
};