/******************************************************************************
 CFileWndBox.h

 File window box interface for the SignWriter key editor. 
		
 Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.

 ******************************************************************************/
 
#pragma once

#include "CPane.h"					/* Interface for its superclass		*/


struct CFileWndBox : CPane {		/* Class Declaration				*/


				/* Box label */
	Str27		itsLabel;
	
				
				/* Box bounds */
	short		itsWidth;
	short		itsHeight;

	
				/* Initialization */
	void		IFileWndBox(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing);
	
				/* Drawing */
	void		Draw(Rect *area);
	void		Update(ConstStr27Param strVal);
	
				/* Memory */
	void		Dispose(void);
};