/******************************************************************************
 CSymData.h

		Interface for the SymData Class
		
		Copyright  1995 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/
 
 
#pragma once


#include "CPane.h"					/* Interface for its superclass		*/



struct CSymWndLabel : CPane {		/* Class Declaration				*/

				/* Initialization */
	void		ISymWndLabel(CView *anEnclosure, CBureaucrat *aSupervisor,
								short aWidth, short aHeight,
								short aHEncl, short aVEncl,
								SizingOption aHSizing, SizingOption aVSizing);
	
				/* Mouse */
	void		DoClick(Point hitPt, short modifierKeys, long when);
	
				/* Drawing */
	void		Draw(Rect *area);
	
				/* Memory */
	void		Dispose(void);
};