/******************************************************************************
 CClickCmdPane.c

		
	SUPERCLASS = CPane
	
	Copyright  1991 Symantec Corporation. All rights reserved.
	
	A very simple subclass of CPane that sends a command message
	to its supervisor when clicked. It is used to implemented the
	Select All shortcut in CDemoTable when the top left of the panorama
	is clicked.

 ******************************************************************************/


#include "CClickCmdPane.h"


void CClickCmdPane::IClickCmdPane(CView *anEnclosure, CBureaucrat *aSupervisor,
					short aWidth, short aHeight, short aHEncl, short aVEncl,
					SizingOption aHSizing, SizingOption aVSizing,
					long aCommand)
{
	CPane::IPane( anEnclosure, aSupervisor, aWidth, aHeight, aHEncl,
			aVEncl, aHSizing, aVSizing);
	
	clickCmd = aCommand;
	SetWantsClicks( TRUE);
	
}

void CClickCmdPane::DoClick(Point hitPt, short modifierKeys, long when)
{
	itsSupervisor->DoCommand( clickCmd);
}