
/*
 *  ansi_private.h
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

FILE *__open(const char *, int, int, FILE *);

#define F_CREAT		0x0001
#define F_TRUNC		0x0002
#define F_EXCL		0x0004
#define F_APPEND	0x0008
#define F_BINARY	0x0010

void __open_std(void);

FILE *__getfile(void);
FILE *__checkfile(FILE *);
unsigned char *__c2p(const char *, char *);
FILE *__strin(FILE *, const char *);
FILE *__strout(FILE *, char *);

void __atexit_console(void (*)());
void __atexit_stdio(void (*)());

void __buffer(FILE *);
int __flush(FILE *);
void __reset(FILE *);

int __read(FILE *);
int __write(FILE *);
int __close(FILE *);
