
/*
 *  ctype.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "ctype.h"


int
(isalnum)(int c)
{
	return(isalnum(c));
}


int
(isalpha)(int c)
{
	return(isalpha(c));
}


int
(iscntrl)(int c)
{
	return(iscntrl(c));
}


int
(isdigit)(int c)
{
	return(isdigit(c));
}


int
(isgraph)(int c)
{
	return(isgraph(c));
}


int
(islower)(int c)
{
	return(islower(c));
}


int
(isprint)(int c)
{
	return(isprint(c));
}


int
(ispunct)(int c)
{
	return(ispunct(c));
}


int
(isspace)(int c)
{
	return(isspace(c));
}


int
(isupper)(int c)
{
	return(isupper(c));
}


int
(isxdigit)(int c)
{
	return(isxdigit(c));
}


int
toupper(int c)
{
	return(islower(c) ? (c ^ 0x20) : c);
}


int
tolower(int c)
{
	return(isupper(c) ? (c ^ 0x20) : c);
}


#define __UPPX			(__XDIG|__UPPR)
#define __LOWX			(__XDIG|__LOWR)

char __ctype[256] = {
	__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,
	__CNTL,__WHIT,__WHIT,__WHIT,__WHIT,__WHIT,__CNTL,__CNTL,
	__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,
	__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,__CNTL,
	__SPAC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,
	__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,
	__DIGT,__DIGT,__DIGT,__DIGT,__DIGT,__DIGT,__DIGT,__DIGT,
	__DIGT,__DIGT,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,
	__PUNC,__UPPX,__UPPX,__UPPX,__UPPX,__UPPX,__UPPX,__UPPR,
	__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,
	__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,__UPPR,
	__UPPR,__UPPR,__UPPR,__PUNC,__PUNC,__PUNC,__PUNC,__PUNC,
	__PUNC,__LOWX,__LOWX,__LOWX,__LOWX,__LOWX,__LOWX,__LOWR,
	__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,
	__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,__LOWR,
	__LOWR,__LOWR,__LOWR,__PUNC,__PUNC,__PUNC,__PUNC,__CNTL,
};
