
/*
 *  strn.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#pragma options(!require_protos)


char *
strncpy(/* char *s1, const char *s2, size_t n */)
{
	asm {
		move.l	4(sp),d0		;  D0.L = result
		movea.l	d0,a0			;  A0 = s1
		movea.l	8(sp),a1		;  A1 = s2
		move.l	12(sp),d1		;  D1.L = n
		beq.s	@3
@1		move.b	(a1),(a0)+
		beq.s	@2
		addq.l	#1,a1
@2		subq.l	#1,d1
		bne.s	@1
@3	}
}


char *
strncat(/* char *s1, const char *s2, size_t n */)
{
	asm {
		move.l	4(sp),d0		;  D0.L = result
		movea.l	d0,a0			;  A0 = s1
		movea.l	8(sp),a1		;  A1 = s2
		move.l	12(sp),d1		;  D1.L = n
		beq.s	@3
@1		tst.b	(a0)+
		bne.s	@1
		subq.l	#1,a0
@2		move.b	(a1)+,(a0)+
		beq.s	@3
		subq.l	#1,d1
		bne.s	@2
		clr.b	(a0)
@3	}
}


int
strncmp(/* const char *s1, const char *s2, size_t n */)
{
	asm {
		moveq	#0,d0			;  D0.L = result
		movea.l	4(sp),a0		;  A0 = s1
		movea.l	8(sp),a1		;  A1 = s2
		move.l	12(sp),d1		;  D1.L = n
		bra.s	@2
@1		tst.b	d2
		beq.s	@4
		subq.l	#1,d1
@2		beq.s	@4
		move.b	(a0)+,d2
		cmp.b	(a1)+,d2
		beq.s	@1
		bhi.s	@3
		subq.l	#2,d0
@3		addq.l	#1,d0
@4	}
}
